v5.0
get
/ec-ors-svc/rest/v5.0/studies/{studyId}/{mode}/randlists/{rndlistid}
Retrieves a randomization list by ID. This API version returns useSequenceNumber to identify whether a given randomization list has a Sequence Number or not. Rights: OrsRandListGet and OrsUnblinded.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
rndlistid(required): string
ID of the randomization list.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : RandListTO v5.0
Type:
objectTitle:
RandListTO v5.0Contains randomization list details.
Show Source
-
blockedBy: string
Randomization list blocked by type of randomizationExample:
none,country,region,site -
description: string
Description of randomization listExample:
Randomization list with demographic cohort -
firstAssctdRandDesignSrcId: string
(uuid)
Title:
First Associated Randomization Design IDUnique Id for the first associated randomization design.Example:b1b8327a-faa6-4122-8710-6192ab5984ef -
firstAssctdStudyVersion: string
Title:
First Associated Study VersionVersion of the first associated study.Example:1.0.1 -
inUse: string
Is randomization list is in useExample:
n,y -
isBlocked: string
Is randomization list for blocked algorithmExample:
n,y -
isCohortBased: string
Indicates whether the randomization is cohort based.Example:
n,y -
isDynamic: string
Is randomization list dynamicExample:
n,y -
isMinimization: string
Title:
Minimization ListIs randomization list for minimization randomization designExample:n,y -
isStratified: string
Is randomization list stratifiedExample:
n,y -
lastAssctdRandDesignSrcId: string
(uuid)
Title:
Last Associated Randomization Design IDUnique Id for the last associated randomization design. -
lastAssctdStudyVersion: string
(UUID)
Title:
Last Associated Study VersionVersion of the last associated studyExample:1.0.1 -
name: string
Name of randomization listExample:
UPL_RL191_V1001 -
randListId: string
(uuid)
Unique ID for randomization list.Example:
00000000-0000-0000-0000-000000000001 -
useSequenceNumber: string
Indicates whether the randomization list includes a sequence number.Example:
y -
versionEnd: string
(date-time)
The end date until which the data is applicable or valid.Example:
2025-01-02T08:00:00Z -
versionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.Example:
2025-01-01T12:34:56Z
404 Response
Appears for invalid study ID, invalid study version or if a randomization list isn't found.
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object